@import 'styles/main.scss';

@keyframes fadeInHint {
  from {
    opacity: 0;
    transform: translateY(calc(-50px));
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.page {
  display: flex;
  background: #F6F6F6;
  min-height: calc(100vh - 56px);

  background-color: #F6F6F6;
  background-size: 160px 160px, 80px 80px, 80px 80px, 10px 10px, 10px 10px;
  background-position: 0.5px 0.5px, 0 0, 0 0, 0 0, 0 0;
  background-image:
    radial-gradient(circle, #dadada 3px, rgba(0, 0, 0, 0) 3px),
    linear-gradient(to right, #ececec 1px, transparent 1px),
    linear-gradient(to bottom, #ececec 1px, transparent 1px),
    linear-gradient(to right, #f3f3f3 1px, transparent 1px),
    linear-gradient(to bottom, #f3f3f3 1px, transparent 1px);

  &__column {
    display: flex;
    flex-direction: column;
  }

  &__columnTitle {
    display: flex;
    align-items: center;
    justify-content: center;
    background: $primary;
    color: #fff;
    height: 64px;
    position: relative;
  }

  &__columnPuzzles {
    width: 320px;
    background: #fff;

    .page__columnTitle {
      &::after {
        content: "";
        top: 14px;
        bottom: 14px;
        background: #fff;
        width: 1px;
        position: absolute;
        right: 0;
      }
    }
  }

  &__columnConstructor {
    flex: 1;
  }

  &__columnTask {
    width: 570px;
    background: #fff;
    overflow-y: auto;
  }

  &__columnSpacer {
    flex: 1;
  }


  &__blockly {
    position: relative;
    flex: 1;

    
    &::after {
      content: "";
      top: 64px;
      bottom: 0;
      background: #fff;
      width: var(--toolbox);
      position: absolute;
      left: 0;
      z-index: 0;
    }
  }

  &__blockyTitles {
    display: flex;

    >* {
      flex: 1;
    }

    > *:first-child {
      flex: 0 1 auto;
      width: 236px;

      &::after {
        content: "";
        top: 14px;
        bottom: 14px;
        background: #fff;
        width: 1px;
        position: absolute;
        right: 0;
      }
    }
  }
}

.task {
  min-width: 100%;
  aspect-ratio: 1;
  position: relative;

  &__row {
    display: flex;
    width: 100%;

    &:nth-child(2n) {
      filter: brightness(0.9);
    }
  }

  &__ceil {
    flex: 1;
    aspect-ratio: 1;
  }

  &__info {
    position: relative;
    display: flex;
    gap: 16px;
    margin-top: 16px;
    flex: 1;
  }

  &__infoWrapper {
    position: relative;
    display: flex;
    flex-direction: column;
    padding: 23px 40px;
    flex: 1;
    min-height: 240px;
  }

  &__infoDectription {
    display: flex;
    flex-direction: column;
    gap: 5px;
    border: 1px solid $primary;
    border-radius: 8px;
    padding: 12px 20px;
    flex: 1;
    height: fit-content;
    margin-right: 220px;
  }

  &__progress {
    position: absolute;
    right: 0;
    flex: 1;
    padding: 0;
    background: transparent;
    min-height: 0;
    max-height: 100%;
    width: 200px;
    border: none;
  }

  &__progressList {
    padding: 10px 30px;
    margin: 0;
  }

  &__hint {
    position: absolute;
    bottom: -12px;
    right: 24px;
    padding: 16px 24px;
    background: #FEFEFE;
    border: 1px solid #CBCBCB;
    border-radius: 8px;
    width: 350px;
    animation: fadeInHint 0.4s ease 1 forwards;
  }

  &__hintBtn {
    position: absolute;
    top: 24px;
    right: 24px;
    background: transparent !important;
  }
}

.field {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;

  &:nth-child(2n) {
    filter: brightness(0.9);
  }

  &__item {
    display: block;
    width: 100%;
    height: 100%;
  }

  &__water {
    background: #92afeb;
  }

  &__grass {
    background: #F7EBAE;
  }

  &__cat {
    background: #F7EBAE;

    &::after {
      content: "";
      left: 50%;
      top: 50%;
      position: absolute;
      width: 110%;
      height: 110%;
      background: url('/images/blocks/cat.png');
      background-repeat: no-repeat;
      background-position: bottom center;
      background-size: cover;
      transform: translateX(-45%) translateY(-65%);
    }
  }

  &__cactus {
    background: #F7EBAE;

    &::after {
      content: "";
      left: 50%;
      top: 50%;
      position: absolute;
      width: 100%;
      height: 100%;
      background: url('/images/blocks/cactus.png');
      background-repeat: no-repeat;
      background-position: bottom center;
      background-size: contain;
      transform: translateX(-45%) translateY(-65%);
    }
  }

  &__bridge {
    background: #92afeb;

    &::after {
      content: "";
      left: 50%;
      top: 50%;
      position: absolute;
      width: 100%;
      height: 100%;
      background: url('/images/blocks/bridge.svg');
      background-repeat: no-repeat;
      background-position: bottom center;
      background-size: 100%;
      transform: translateX(-50%) translateY(-65%);
    }
  }
}